#!/usr/bin/env python

# KungFu - A GStreamer based DVD ripper
# Copyright (C) 2006 Jason Gerard DeRose <jderose@jasonderose.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import os
from os import path
import re
from distutils.core import setup

from KungFu import kf_info as info


data_files=[
	('share/applications/', ['data/kungfu.desktop']),
	('share/pixmaps/', ['data/kungfu.svg'])
]

# Freshly generate .mo from .po, add to data_files:
if path.isdir('mo/'):
	os.system ('rm -r mo/')
for name in os.listdir('po'):
	m = re.match(r'(.+)\.po$', name)
	if m != None:
		lang = m.group(1)
		out_dir = 'mo/%s/LC_MESSAGES' % lang
		out_name = path.join(out_dir, 'kungfu.mo')
		install_dir = 'share/locale/%s/LC_MESSAGES/' % lang		
		os.makedirs(out_dir)
  		os.system('msgfmt -o %s po/%s' % (out_name, name))
		data_files.append((install_dir, [out_name])) 


setup(
	name = info.name,
	version = info.version,
	author = info.author,
	author_email = info.author_email,
	description = info.description,
	long_description = info.long_description,
	license = info.license,
	url= info.url,
	packages = ['KungFu'],
	scripts = ['kungfu'],
	data_files=data_files,
)
